Reference
Get provider spending summary
Returns spending summary for a specific cloud provider
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
provider_id*Provider Id
Query Parameters
credits?Credits
Cost basis for Google Cloud: after credits (default) or before them. AWS stays on its invoiced basis.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/providers/string/costs/summary"{
"success": true,
"timestamp": "2019-08-24T14:15:22Z",
"data": {
"provider_id": "string",
"provider_name": "string",
"monthly_spending": 0,
"monthly_spending_percentage": 0,
"forecasted_monthly_costs": 0,
"forecasted_monthly_costs_percentage": 0,
"potential_savings": 0,
"potential_savings_percentage": 0,
"top_services": [
{
"service": "string",
"cost": 0,
"change_percentage": 0
}
],
"credits_summary": {
"gross": 0,
"credits": 0,
"net": 0,
"previous_gross": 0,
"previous_credits": 0,
"previous_net": 0,
"credits_pct_of_gross": 0
},
"credits": "before"
}
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}